<template>

    <v-card max-width="500px" class="mx-auto pa-4" :elevation="4">
        <v-card-title class="headline"> {{ title}}</v-card-title>
        <v-card-text>
            <v-color-picker
                    v-model="color"
                    elevation="15"
            ></v-color-picker>
        </v-card-text>
        <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="green darken-1" text @click="Done">
                Done
            </v-btn>
        </v-card-actions>
    </v-card>

</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
    import {Component, Prop, Vue} from 'vue-property-decorator';
    import VImageInput from 'vuetify-image-input/a-la-carte';

    @Component({
        components: {VImageInput}
    })
    export default class ImageLoader extends Vue {

        @Prop() title!: string;
        @Prop() onSelect!: (img: string) => void;

        Done() {
            this.onSelect(this.color);
        }

        color: string = '';
    }
</script>
